--[[
Align
*****
Creates a grid used to visually align elements
]]--
import "Turbine.UI"
import "Turbine.UI.Lotro"

shellCommand = Turbine.ShellCommand()
function shellCommand:Execute(command)
	if align~=nil then
		--delete grid
		align:SetVisible(false)
		align=nil
		alignlr:SetVisible(false)
		alignlr=nil
		alignud:SetVisible(false)
		alignud=nil
		else
		--create grid
			align= Turbine.UI.Window()
			align:SetPosition( 0,0)
			align:SetSize( Turbine.UI.Display.GetSize() )
			align:SetOpacity(1)
			align:SetMouseVisible ( false)
			align :SetBackground ("JackdawPlugins/align/align.tga")
		--cross hair
			alignlr= Turbine.UI.Window()
				alignlr:SetPosition( math.floor((Turbine.UI.Display.GetWidth()-1)/2),0)
				alignlr:SetSize( 1,Turbine.UI.Display.GetHeight() )
				alignlr:SetOpacity(1)
				alignlr:SetMouseVisible ( false)
				alignlr:SetBackColor(Turbine.UI.Color(1,1,0,0))
			alignud= Turbine.UI.Window()
				alignud:SetPosition(0, math.floor((Turbine.UI.Display.GetHeight()-1)/2))
				alignud:SetSize( Turbine.UI.Display.GetWidth(),1)
				alignud:SetOpacity(1)
				alignud:SetMouseVisible ( false)
				alignud:SetBackColor(Turbine.UI.Color(1,1,0,0))
	end
end
Turbine.Shell.AddCommand('Align', shellCommand)	  
